import { h } from "@stencil/core";
export class BpSdkQuestionSetEmpty {
    constructor() {
        this.questionSet = undefined;
        this.useExternal = false;
    }
    resetState() { }
    componentWillLoad() {
        this.useExternal = !!customElements.get('bp-sdk-external-question-set-empty');
        customElements.whenDefined('bp-sdk-external-question-set-empty').then(() => {
            this.useExternal = true;
        });
    }
    render() {
        return [this.useExternal && this.renderExternal(), !this.useExternal && this.renderInternal()];
    }
    renderExternal() {
        return h("bp-sdk-external-question-set-empty", { questionSet: this.questionSet });
    }
    renderInternal() {
        return h("div", { class: "bp-sdk-question-set-empty__container" }, h("p", { class: "bp-sdk-question-set-empty__message" }, "Thanks! There are no additional questions to answer, please continue."));
    }
    static get is() { return "bp-sdk-question-set-empty"; }
    static get properties() {
        return {
            "questionSet": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "IQuestionSet",
                    "resolved": "IQuestionSet",
                    "references": {
                        "IQuestionSet": {
                            "location": "import",
                            "path": "@boldpenguin/sdk-types",
                            "id": "../sdk-types/dist/types.d.ts::IQuestionSet"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Question set to show questions and metadata about the set"
                }
            }
        };
    }
    static get states() {
        return {
            "useExternal": {}
        };
    }
}
